#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Counter/include/Statistics.h"

#include <sstream>
using namespace std;

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace counter {


  string Statistics::print_body (uint32_t depth)
  {
    log_printf(FUNC,Counter,"print_body","Begin");

    string        tab = string(depth,'\t');
    ostringstream msg;

    msg << tab << "";
    
    log_printf(FUNC,Counter,"print_body","End");

    return msg.str();
  };

}; // end namespace counter
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
